Page MenuHomePhabricator

Duplicate namespace alias lookup requests while loading a translation
Closed, ResolvedPublic

Description

A lot of duplicate Api queries like
https://es.wikipedia.org/w/api.php?callback=jQuery11130185334851187819_1470718760963&action=query&format=json&meta=siteinfo&siprop=namespaces are spotted while monitoring the network requests when a translation is started or restored.

Two sources for this is identified. template module and images module. The caching of requests are not properly done

Event Timeline

santhosh created this task.Aug 9 2016, 5:03 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 9 2016, 5:03 AM
santhosh triaged this task as High priority.Aug 9 2016, 5:04 AM

Change 303760 had a related patch set uploaded (by Santhosh):
Avoid duplicate requests for target template namespace alias

https://gerrit.wikimedia.org/r/303760

Change 303764 had a related patch set uploaded (by Santhosh):
Avoid duplicate requests for target image namespace alias

https://gerrit.wikimedia.org/r/303764

Change 303760 merged by jenkins-bot:
Avoid duplicate requests for target template namespace alias

https://gerrit.wikimedia.org/r/303760

Change 303764 merged by jenkins-bot:
Avoid duplicate requests for target image namespace alias

https://gerrit.wikimedia.org/r/303764

@Aklapper, Any idea why "patch for review" tag not getting added automatically?

Arrbee moved this task from QA to Done on the Language-Q1-2016-17 Sprint 3 board.Aug 11 2016, 8:04 AM
Arrbee closed this task as Resolved.Aug 16 2016, 6:46 AM